%global dlrn_nvr 12.0.1-1.20201113222722.4686e16
%global dlrn 1
%define upstream_version 12.0.1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-collectd
%global commit c14f2b4538c21441f7de2035dacfc4ad1933d206
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-collectd
Version: 12.0.1
Release: 2.20201113222723%{?dist}
Summary:        Puppet module for Collectd
License:        ASL 2.0

URL:            https://github.com/voxpupuli/%{upstream_name}

Source0: 12.0.1-1.20201113222722.4686e16.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=4686e16d3b869dcaea29125c742cd514509815fd
Patch0001: 0001-Add-options-to-limit-the-send-queue-length.patch
Patch0002: 0002-Add-support-for-Header-and-Metrics-configuration.patch
Patch0003: 0003-Drop-erroneous-double-quotes-from-virt-plugin-templa.patch
Patch0004: 0004-Add-PluginInstanceFormat-parameter-to-virt-plugin.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-concat
Requires:       puppet >= 2.7.0

%description
Puppet module for Collectd

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/collectd/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/collectd/



%files
%{_datadir}/openstack-puppet/modules/collectd/


%changelog
* Mon Jan 11 2021 Leif Madsen <lmadsen@redhat.com> 12.0.1-2.20201113222723
- Add PluginInstanceFormat parameter to virt plugin (rhbz#1878191)
- Drop erroneous double quotes from virt plugin template (rhbz#1902142)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.0.0-1.6ae0bd7git
- Update patches

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.0.0-1.6ae0bd7git
- Update patches

* Fri Aug 21 2020 Matthias Runge <mrunge@redhat.com> - 12.0.0-1.20200626073420.4686e16
- Add support for "Metrics and Header" parameters (rhbz#1851317)
- add option for amqp1 SendQueueLimit (rhbz#1861715)

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.0.0-1.4686e16git
- Update patches

* Fri Jun 26 2020 Matthias Runge <mrunge@redhat.com> - 12.0.0-2.20200604153617.4686e16
* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.0.0-1.4686e16git
- Update patches

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.0.0-1.4686e16git
- Update patches
- release 12.0.0
- modulesync 2.12.0
- rename log_parser to logparser
- Remove trailing whitespace
- Install disk package if required prior CentOS 8
- [blacksmith] Bump version to 11.4.1-rc0
- Release 11.4.0
- Create processess plugin type configuration on RedHat
- Skip Load:ReportRelative is problematic for collectd9
- Ignore more installed versions of python during tests
- [blacksmith] Bump version to 11.3.1-rc0
- Release 11.3.0
- write_http expected to be own package on CentOS 8
- New utils parameter to install collectdctl
- Add CentOS 8 support
- Require puppet-epel over stahnma-epel
- Added test for checking file is correct
- [blacksmith] Bump version to 11.2.1-rc0
- Add dpdk_telemetry plugin
- release 11.2.0
- modulesync 2.12.0
- Add dcpmm plugin
- Fixed empty line build issue
- Added snmp agent plugin
- Fixed default config
- Changed $source data type to enum
- Add puppet string documentation
- fixed lint issues
- Added default config to log parser
- added default config
- Added tests for log parser
- log parser plugin template
- Added log parser manifest
- [blacksmith] Bump version to 11.1.1-rc0
- release 11.1.0
- Change all `port` parameters to use `Stdlib::Port`
- fixes #901 by excluding the ReportRelative option
- Allow custom Properties and Meta to be defined
- plugin/java: handle OpenJDK as well (#880)
- Added mcelog plugin.
- Add pcie_errors plugin
- drop EOL OpenBSD
- drop solaris
- drop FreeBSD 9,10; Add FreeBSD 11/12
- Fix legacy facts
- modulesync 2.10.1
- update repo links to https
- Remove duplicate CONTRIBUTING.md file
- RegexProcess has been renamed during collectd
- Fixed stdlib deprecation warnings
- drop Ubuntu 14.04 support
- Clean up acceptance spec helper
- Add Data Type
- fixing mistype
- Add ReconnectInterval parameter to write_graphite template (introduce in version 5.6, defaults to zero)
- Add ReconnectInterval parameter for write_graphite plugin
- Tests for ensuring that apt update comes before package
- Use Class['apt::update'] instead of Exec['apt_update']
- Apt update before installation of collectd
- travis: switch base OS from xenial to bionic
- drop legacy precise code

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.0.0-1.e6ccbdagit
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.0.0-1.493e1d1git
- Update patches

* Thu Oct 3 2019 RDO <dev@lists.rdoproject.org> 11.0.0-1.785a71bgit
- Update to post 11.0.0 (785a71bd4be0d0e7e96aa6acea3c2120430058fc)



